--- title: "createSubnet" slug: "networking-vpc-subnetmanagement-createsubnet" updated: 2026-09-17T10:12:33Z published: 2026-09-17T10:12:33Z canonical: "api.ncloud-docs.com/networking-vpc-subnetmanagement-createsubnet" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # createSubnet Available in VPC Create a subnet according to the user-defined conditions. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vpc/v2/createSubnet | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all VPC APIs, see [VPC request headers](/docs/en/networking-vpc#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code where the subnet will be created - First Region of the query result (default). - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). | | `zoneCode` | String | Required | Zone code where the subnet will be created - See [getZoneList](/docs/en/compute-vserver-server-common-getzonelist). | | `vpcNo` | String | Required | Unique identification number of the VPC that will include the subnet - See [getVpcList](/docs/en/networking-vpc-vpcmanagement-getvpclist). | | `subnetName` | String | Optional | Name of subnet to create - Granted automatically by NAVER Cloud Platform (default). - Enter 3-30 characters, including letters, numbers, and special character "-". - The string must begin with an English letter and end with an English letter or number. | | `subnet` | String | Required | Subnet's IP address range - /16-/28 - Use private ranges (10.0.0.0/8, 172.16.0.0/12, 192.168.0.0/16). | | `networkAclNo` | String | Required | Number of the network ACL that will be applied to the subnet - See [getNetworkAclList](/docs/en/networking-vpc-networkacl-getnetworkacllist). | | `subnetTypeCode` | String | Required | Subnet type code - `PUBLIC` \| `PRIVATE` - `PUBLIC`: Internet gateway allowed - `PRIVATE`: Internet gateway not allowed | | `usageTypeCode` | String | Optional | Subnet usage type code - `GEN` \| `LOADB` \| `BM` \| `NATGW` - `GEN`: General - `LOADB`: Load balancer only - `BM`: Bare metal only - `NATGW`: NAT Gateway only | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location 'https://ncloud.apigw.ntruss.com/vpc/v2/createSubnet ?regionCode=KR &zoneCode=KR-1 &vpcNo=***04 &subnetName=test-*** &subnet=***.***.1.0/24 &networkAclNo=***31 &subnetTypeCode=PUBLIC &usageTypeCode=GEN' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Sub Account Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body See [SubnetList](/docs/en/common-vapidatatype-subnetlist) for the response body. ### Response status codes For information about the HTTP status codes common to all VPC APIs, see [VPC response status codes](/docs/en/networking-vpc#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` 0f539b1b-10ef-43fa-a2c4-3670e601251b 0 success 1 ***43 ***04 KR-1 test-*** ***.***.1.0/24 CREATING creating 2020-07-31T14:32:28+0900 PUBLIC Public GEN General ***31 ```